searchNodes=[{"ref":"SSD1306.html","title":"SSD1306","type":"module","doc":"SSD1306 Driver for Elixir using ElixirALE. Usage: Add your devices to your config like so: config :ssd1306, devices: [ %{bus: &quot;i2c-1&quot;, address: 0x3d, reset_pin: 17} ] Then use the functions in [SSD1306.Device] to send image data. Pretty simple."},{"ref":"SSD1306.html#connect/1","title":"SSD1306.connect/1","type":"function","doc":"Connect to an SSD1306 device."},{"ref":"SSD1306.html#disconnect/1","title":"SSD1306.disconnect/1","type":"function","doc":"Disconnect an SSD1306 device."},{"ref":"SSD1306.Commands.html","title":"SSD1306.Commands","type":"module","doc":"This module contains all the constants and commands for manipulating the SSD1306 device. More information about the available commands can be found in the COMMAND TABLE section of the Datasheet. For simple use cases you will most likely want to simply use the SSD1306.Device module to automatically handle your display needs, however if you have something more complicated in mind then you can use the functions in this module to interact with an I2C device directly."},{"ref":"SSD1306.Commands.html#activate_scroll!/1","title":"SSD1306.Commands.activate_scroll!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#charge_pump/2","title":"SSD1306.Commands.charge_pump/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#column_address/3","title":"SSD1306.Commands.column_address/3","type":"function","doc":""},{"ref":"SSD1306.Commands.html#com_pins/2","title":"SSD1306.Commands.com_pins/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#com_scan_dec!/1","title":"SSD1306.Commands.com_scan_dec!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#com_scan_inc!/1","title":"SSD1306.Commands.com_scan_inc!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#contrast/2","title":"SSD1306.Commands.contrast/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#deactivate_scroll!/1","title":"SSD1306.Commands.deactivate_scroll!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#display/2","title":"SSD1306.Commands.display/2","type":"function","doc":"Send a frame to the display. Arguments: A map with :i2c set to the I2C connection pid, :width and :height in pixels. A bytestring containing the buffer to be displayed."},{"ref":"SSD1306.Commands.html#display_all_on!/1","title":"SSD1306.Commands.display_all_on!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#display_all_on_resume!/1","title":"SSD1306.Commands.display_all_on_resume!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#display_clock_div/2","title":"SSD1306.Commands.display_clock_div/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#display_off!/1","title":"SSD1306.Commands.display_off!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#display_offset/2","title":"SSD1306.Commands.display_offset/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#display_on!/1","title":"SSD1306.Commands.display_on!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#high_column/2","title":"SSD1306.Commands.high_column/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#initialize!/1","title":"SSD1306.Commands.initialize!/1","type":"function","doc":"Initialize the device using &quot;sane defaults&quot; based on the display size. Configurable options (configure by adding these keys to your device&#39;s keys in your application configuration) and their defaults below: config :ssd1306, device: [%{ display_clock_div: 0x80, multiplex: 0x3f, external_vcc: false, charge_pump: 0x10, # or 0x14 if :external_vcc is true memory_mode: 0x80, segment_remap: 0x01, com_pins: 0x12, contrast: 0x9f, # or 0xcf if :external_vcc is true pre_charge: 0x22, # or 0xf1 if :external_vcc is true vcom_detect: 0x40 }]"},{"ref":"SSD1306.Commands.html#invert_display!/1","title":"SSD1306.Commands.invert_display!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#left_horizontal_scroll!/1","title":"SSD1306.Commands.left_horizontal_scroll!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#low_column/2","title":"SSD1306.Commands.low_column/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#memory_mode/2","title":"SSD1306.Commands.memory_mode/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#multiplex/2","title":"SSD1306.Commands.multiplex/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#normal_display!/1","title":"SSD1306.Commands.normal_display!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#page_address/3","title":"SSD1306.Commands.page_address/3","type":"function","doc":""},{"ref":"SSD1306.Commands.html#pre_charge/2","title":"SSD1306.Commands.pre_charge/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#reset!/1","title":"SSD1306.Commands.reset!/1","type":"function","doc":"Reset the SSD1306 using the GPIO reset pin."},{"ref":"SSD1306.Commands.html#right_horizontal_scroll!/1","title":"SSD1306.Commands.right_horizontal_scroll!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#segment_remap/2","title":"SSD1306.Commands.segment_remap/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#start_line/2","title":"SSD1306.Commands.start_line/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#vcom_detect/2","title":"SSD1306.Commands.vcom_detect/2","type":"function","doc":""},{"ref":"SSD1306.Commands.html#vertical_and_left_horizontal_scroll!/1","title":"SSD1306.Commands.vertical_and_left_horizontal_scroll!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#vertical_and_right_horizontal_scroll!/1","title":"SSD1306.Commands.vertical_and_right_horizontal_scroll!/1","type":"function","doc":""},{"ref":"SSD1306.Commands.html#vertical_scroll_area/2","title":"SSD1306.Commands.vertical_scroll_area/2","type":"function","doc":""},{"ref":"SSD1306.Device.html","title":"SSD1306.Device","type":"module","doc":"An individual SSD1306 device. Each device needs it&#39;s configuration specified in your application&#39;s configuration. Example configuration: config :ssd1306, devices: [ %{bus: &quot;i2c-1&quot;, address: 0x3D, name: :display0, width: 128, height: 32} ] Note that bus and address are required, width and height are optional and default to 128 and 64 respectively. name is also optional and allows you to specify an arbitrary name to register this device as in ssd1306&#39;s process registry. You can then use this name when using the public functions in this module to refer to a specific device. If not provided then a tuple of the bus name and address will be used, for example the device above would be named {&quot;i2c-1&quot;, 0x3D} if the name value had not been set."},{"ref":"SSD1306.Device.html#all_off/1","title":"SSD1306.Device.all_off/1","type":"function","doc":"Turn off all pixels of the attached device."},{"ref":"SSD1306.Device.html#all_on/1","title":"SSD1306.Device.all_on/1","type":"function","doc":"Turn on all pixels of the attached device."},{"ref":"SSD1306.Device.html#child_spec/1","title":"SSD1306.Device.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"SSD1306.Device.html#display/2","title":"SSD1306.Device.display/2","type":"function","doc":"Send the contents of buffer to the device for display."},{"ref":"SSD1306.Device.html#execute/2","title":"SSD1306.Device.execute/2","type":"function","doc":"Send arbitrary commands to the device. This is useful for any advanced usage that doesn&#39;t involve just sending a buffer to the display. The function argument is a function which will be called from within the device process with the PID of the I2C connection as it&#39;s only argument. Be aware that if this function takes a while to execute the device will be unable to respond to other messages. The commands are listed in the [SSD1306.Commands] module, and information about them can be found in the SSD1306 Datasheet. Example To invert the display. iex&gt; alias SSD1306.{Device, Commands} ...&gt; Device.commands({&quot;i2c-1&quot;, 0x3D}, fn pid -&gt; Commands.invert_display!(pid) end) :ok"},{"ref":"SSD1306.Device.html#initialize_buffer/2","title":"SSD1306.Device.initialize_buffer/2","type":"function","doc":""},{"ref":"SSD1306.Device.html#t:address/0","title":"SSD1306.Device.address/0","type":"type","doc":""},{"ref":"SSD1306.Device.html#t:buffer/0","title":"SSD1306.Device.buffer/0","type":"type","doc":""},{"ref":"SSD1306.Device.html#t:bus/0","title":"SSD1306.Device.bus/0","type":"type","doc":""},{"ref":"SSD1306.Device.html#t:device_name/0","title":"SSD1306.Device.device_name/0","type":"type","doc":""}]